Riferimento APIReceived invoices
Delete a category
Deletes a category and moves its invoices to "other". Default categories cannot be deleted (409 default_category). Live keys only.
DELETE
Deletes a category and moves its invoices to "other". Default categories cannot be deleted (409 default_category). Live keys only.
apiKeyheader
AuthorizationBearer <token>API key: gb_test_… or gb_live_…
id*stringGetbeel-Company?stringAct on one of the account's client companies (its id from GET /companies) instead of the key's own account. 404 company_not_found when the key cannot act on it.
Format
uuidOK
application/json- response
object*stringid*stringMatch
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidslug*stringStable key used on received invoices (category field)
label*stringcolor*stringis_default*booleanDefault categories cannot be deleted
sort_order*integerRange
-9007199254740991 <= value <= 9007199254740991curl -X DELETE 'https://www.getbeel.com/api/v1/categories/string'Esempio di risposta
{ "object": "category", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "slug": "software", "label": "string", "color": "string", "is_default": true, "sort_order": -9007199254740991}